Bug 5088 - HTML tags in Amazon reviews
Summary: HTML tags in Amazon reviews
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: rel_3_2
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/opac-detail.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-04 13:08 UTC by Katrin Fischer
Modified: 2012-10-26 00:51 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
screenshot: grammar in use (34.71 KB, image/png)
2010-08-04 13:08 UTC, Katrin Fischer
Details
Proposed fix (1.75 KB, patch)
2010-08-04 18:43 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2010-08-04 13:08:52 UTC
Created attachment 2453 [details]
screenshot: grammar in use

Amazon reviews can contain visible HTML tags (<br>) in the text.  

I tried different AmazonLocale settings:

Grammar in use : reference and practice for intermediate students of English
by Murphy, Raymond
ISBN: 0521348439
AmazonLocale: American (screenshot, <br><br>), German

Sofies Welt : Roman ueber die Geschichte der Philosophie 
by Gaarder, Jostein
3446173471
AmazonLocale: German <br /> <br />

Koha version: 	3.01.00.145
Comment 1 Owen Leonard 2010-08-04 18:43:07 UTC
Created attachment 2463 [details] [review]
Proposed fix

Removing "ESCAPE='HTML'" from Amazon customer review output
Comment 2 Nicole C. Engard 2011-02-17 19:02:00 UTC
This is now invalid with the new changes to the Amazon terms of service.  I'm not marking it as such unless I'm wrong.  Owen can you mark it Invalid if it is?
Comment 3 Magnus Enger 2011-04-04 10:06:11 UTC
<magnuse> in bug 5088 - is nengard saying we should stop using the reviews from Amazon completely? 
<rangi> it means we cant
<rangi> (currently they don't work anyway)
<rangi> since amazon changed the api
<magnuse> rangi: can't as in can't do it technically or can't do it legally? 
<magnuse> so what do we do about bug 5088 - mark it as invalid? 
<rangi> magnuse: its not currently working because of technical reasons, (they changed the API)
<rangi> we can't do it legally until someone reads the new T&C and decides if we are allowed to
<rangi> i think add a note saying that, and leave it open
<magnuse> we can't test if the patch from owen fixes the tag problem since the reviews are not working at all... 
<magnuse> rangi: what sould we set the status to? 
<rangi> just remove the needs signoff status
Comment 4 Owen Leonard 2012-02-17 15:14:41 UTC
It is my understanding that Amazon has revised its terms of service for its API so as to make it no longer suitable for library use. This bug would require a fix for Bug 5568, which is WONTFIX. I think the Koha project should focus its efforts on supporting other sources of third-party content like OpenLibrary.
Comment 5 Magnus Enger 2012-02-17 17:02:17 UTC
+1 for Open Library!